| AOMedia AV1 Codec

aom_metadata Struct Reference

Metadata payload. More...

`#include <aom_image.h>`

## Data Fields
uint32_t | type
uint8_t * | payload
size_t | sz
aom_metadata_insert_flags_t | insert_flag

## Detailed Description

Metadata payload.

## Field Documentation

## ◆ type

uint32_t aom_metadata::type

Metadata type

## ◆ payload

uint8_t* aom_metadata::payload

Metadata payload data

## ◆ sz

size_t aom_metadata::sz

Metadata payload size

## ◆ insert_flag

aom_metadata_insert_flags_t aom_metadata::insert_flag

Metadata insertion flag

The documentation for this struct was generated from the following file:

- aom/aom_image.h